System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement System.ServiceModel.Description.IPolicyExportExtension

This class is used by an identity provider to express in its policy the fact that it supports the infocard1 profile of WS-Trust. Identity providers that publish such a policy assertion should be able to issue tokens based on that infocard1 profile.

A binding element used to communicate with a infocard Security Token Service that supports the infocard1 profile of WS-Trust.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Copies the current binding element.

  The that is a copy of the current element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  Use this to request a typed object such as an interface for setting properties or getting status from the appropriate layer in the binding stack. If a layer supports returning the requested object, it returns it. If not, it delegates the call down to the next layer in the stack. If it gets to the bottom of the stack and no binding layer supported the requested object, then the method returns null.

  Returns a typed object requested, if present, from the appropriate layer in the binding stack.

  The typed object requested if it is present or null if it is not.

  The that provides context for the binding element. The type of object being queried for.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Exports custom policy assertions in the binding element into the WSDL information.

  The that you can use to modify the exporting process. The that you can use to insert your custom policy assertion.